Show / Hide Table of Contents

# Class StatusChangeParams

Parameters sent back with an status change event

##### Inheritance

System.Object
StatusChangeParams

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class StatusChangeParams

### Properties

| Improve this Doc View Source

#### OwnerUri

URI identifying the text document

##### Declaration

    public string OwnerUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Status

The new status for the document

##### Declaration

    public string Status { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |